%define name ce
%define version 4.4
%define release 2mdk

Summary: Chet's EMACS - A small fast EMACS like editor
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: Freeware
Group: Editors
Source: ce-4.4.tar.bz2
Buildroot: /var/tmp/%{name}-buildroot

%description
A popular EMACS like editor.  Small, configurable, fast, powerful, and
handles large files quickly.  

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
./configure
make

%install
install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 -d $RPM_BUILD_ROOT/usr/man/man1
install -m 755 -d $RPM_BUILD_ROOT/usr/lib

install -m 755 {ce,teach-ce} $RPM_BUILD_ROOT/usr/bin/

install -m 644 doc/ce.1 $RPM_BUILD_ROOT/usr/man/man1/

%files
%defattr (-,root,root)
/usr/man/man1/*
/usr/bin/*

%doc README COPYRIGHT ORIGIN 
%doc doc/*

%changelog
* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.4-2mdk
- fix group
- fix files section

* Thu Feb 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.4-1mdk
- mandrake build
